Unsave message
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/save \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/save"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "2",
"conversationId": "superhero1_user_superhero2",
"sender": "superhero1",
"receiverType": "user",
"receiver": "superhero2",
"category": "message",
"type": "text",
"data": {
"text": "Hi,"
},
"sentAt": 1700210266,
"updatedAt": 1700210266
}
}Messages
Unsave message
Remove a CometChat message from a user’s saved list with REST API on behalf of that user.
DELETE
/
messages
/
{id}
/
save
Unsave message
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message to remove from the user's saved list.
Response
200 - application/json
Unsaving a message. savedAt is left out of the response once the message is no longer saved.
Show child attributes
Show child attributes
Was this page helpful?